package test.com.philisense.www.controller.http.web;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProUserAuthControllerWithHttpClientForWeb  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProUserAuthDeleteByPrimaryKeyForWeb(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthSelectByPrimaryKeyForWeb(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthInsertForWeb(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProUserAuthUpdateForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthDeleteByMapForWeb(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProUserAuthUpdateByMapForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserAuthGetOneForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserAuthGetAllForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthCountForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProUserAuthQueryPageForWeb(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthInsertBatchForWeb(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProUserAuthDeleteBatchForWeb(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProUserAuthUpdateBatchForWeb(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("user_id","user_id");//用户Id
                params.put("auth_id","auth_id");//角色Id
                params.put("auth_type","auth_type");//角色类型


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProUserAuthForWeb() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProUserAuth.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProUserAuthForWeb() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProUserAuth.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProUserAuthForWeb()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.WEB_REST_SERVICE_PREFICX+"prouserauth/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProUserAuth.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
